package com.hw.admin.model.domain;

import com.alibaba.excel.annotation.ExcelProperty;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.util.Date;

@Data
public class WorkPackerExcel {


    /**
     * 药品名称
     * 列名:drug_name 类型:VARCHAR(100) 允许空:true 缺省值:null
     */
    @ExcelProperty("药品名称")
    private String drugName;

    /**
     * 条码
     * 列名:bar_code 类型:VARCHAR(100) 允许空:true 缺省值:null
     */
    @ExcelProperty("条码")
    private String barCode;

    /**
     * 包装规格
     * 列名:pack_spec 类型:VARCHAR(100) 允许空:true 缺省值:null
     */
    @ExcelProperty("包装规格")
    private String packSpec;

    /**
     * 批次
     * 列名:batch 类型:VARCHAR(100) 允许空:true 缺省值:null
     */
    @ExcelProperty("批次")
    private String batch;

    /**
     * 生产日期
     * 列名:manu_time 类型:TIMESTAMP(19) 允许空:true 缺省值:null
     */
    @ExcelProperty("生产日期")
    private String manuTime;

    /**
     * 药品数量
     * 列名:qua_drugs 类型:VARCHAR(100) 允许空:true 缺省值:null
     */
    @ExcelProperty("药品数量")
    private String quaDrugs;

    /**
     * 药品规格
     * 列名:drug_spec 类型:VARCHAR(100) 允许空:true 缺省值:null
     */
    @ExcelProperty("药品规格")
    private String drugSpec;

    /**
     * 包装时间
     * 列名:pack_time 类型:TIMESTAMP(19) 允许空:true 缺省值:null
     */
    @ExcelProperty("包装时间")
    private String packTime;

    /**
     * 操作人
     * 列名:operator 类型:VARCHAR(100) 允许空:true 缺省值:null
     */
    @ExcelProperty("操作人")
    private String operator;
}
