package com.hw.admin.system.utils;

import java.util.Calendar;

public class DateExUtils {
    /**
     * 获取时间路径按yyyy/MM/hh
     *
     * @return
     */
    public static String commonDatePath() {
        //使用默认时区和语言环境获得一个日历。
        Calendar rightNow = Calendar.getInstance();
        //用Calendar的get(int field)方法返回给定日历字段的值。
        //HOUR 用于 12 小时制时钟 (0 - 11)，HOUR_OF_DAY 用于 24 小时制时钟
        Integer year = rightNow.get(Calendar.YEAR);
        //第一个月从0开始，所以得到月份＋1
        Integer month = rightNow.get(Calendar.MONTH) + 1;
        Integer day = rightNow.get(Calendar.DAY_OF_MONTH);
        String yyMMhh = "/" + year + "/" + month + "/" + day + "/";
        return yyMMhh;
    }

    /**
     * 获取时间路径按yyyy/MM/hh
     *
     * @return
     */
    public static String commonDatePathStr() {
        StringBuffer stringBuffer = new StringBuffer();
        //使用默认时区和语言环境获得一个日历。
        Calendar rightNow = Calendar.getInstance();
        //用Calendar的get(int field)方法返回给定日历字段的值。
        //HOUR 用于 12 小时制时钟 (0 - 11)，HOUR_OF_DAY 用于 24 小时制时钟
        Integer year = rightNow.get(Calendar.YEAR);
        //第一个月从0开始，所以得到月份＋1
        Integer month = rightNow.get(Calendar.MONTH) + 1;
        Integer day = rightNow.get(Calendar.DAY_OF_MONTH);
        String yyMMhh = stringBuffer.append(year).append(month).append(day).toString();
        return yyMMhh;
    }


}
